<template>
  <div class="letter-tile">
    <div class="letter-text">{{letter}}</div>
  </div>
</template>

<script>
export default {
  props: ['letter']
}
</script>

<style>
.letter-tile {
  width: 200px;
  height: 200px;
  border-radius: 30px;
  background-color: rgb(215, 206, 106);
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10px;
}

.letter-text {
  padding-top: 10px;
  font-size: 150px;
}

@media screen and (max-width: 700px) {
  .letter-tile {
    width: 30vw;
    height: 30vw;
    border-radius: 27px;
  }

  .letter-text {
    padding-top: 10px;
    font-size: 25vw;
  }
}
</style>